%define section         free

# To make the tarball:
#  svn export https://svn.apache.org/repos/asf/xml/commons/tags/xml-commons-external-1_3_02/ xml-commons-external

Name:		xml-commons-external
Summary:	DOM and SAX XML processor implmentations.
Version: 	1.3.02
Release:	1jpp
Epoch:		0

URL: 		http://www.apache.org
License: 	Apache Public License v2.0
Group: 		Text Processing/Markup/XML
BuildArch:      noarch
Source0: 	%{name}-%{version}.tgz
Vendor:        JPackage Project
Distribution:  JPackage

BuildArch:		noarch
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	jpackage-utils >= 0:1.6
BuildRequires:	ant

Requires:  jpackage-utils >= 0:1.6


%description
DOM 1.0 org.w3c.dom and SAX XML 2.0.2 (sax2r3) org.xml.sax
processor implmentations used by several pieces of Apache software.
The current version includes the JAXP 1.3 APIs --
JSR 206, Java API for XML Processing 1.3, i.e.
javax.xml{.parsers,.transform,.validation,.datatype,.xtype}.


%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}

%build
ant -f java/external/build.xml jar javadoc

%install
rm -rf $RPM_BUILD_ROOT

# main package
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 java/external/build/xml-apis.jar \
    $RPM_BUILD_ROOT%{_javadir}/xml-apis-%{version}.jar
ln -s xml-apis-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/xml-apis.jar

# javadoc
install -d -m 755 $RPM_BUILD_ROOT/%{_javadocdir}/%{name}-%{version}
cp -pr java/external/build/docs/* \
    $RPM_BUILD_ROOT/%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT/%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}
%{_javadir}/xml-apis-%{version}.jar
%{_javadir}/xml-apis.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Fri Oct 07 2005 Deepak Bhole <dbhole@redhat.com> 0:0-1jpp
- Initial build.
